FREEFOAM-GRAPHRESKE(1)

NAME
freefoam-graphResKE - Extract the residuals of k and epsilon at each time step

SYNOPSIS

freefoam graphResKE <logFile>

DESCRIPTION

The utility extracts the residuals of the k and epsilon equations at each time step and writes them to residualKE.dat. The file has the following format:

    Solver Performance
    number of iterations
    residual
    0 0
    0 0
    <nGraphs>
    k
    0
    <nK>
    1.000000 <resK1>
    2.000000 <resK2>
    3.000000 <resK3>
    4.000000 <resK4>
    5.000000 <resK5>
    ...
    epsilon
    0
    <nEpsilon>
    1.000000 <resEpsilon1>
    2.000000 <resEpsilon2>
    3.000000 <resEpsilon3>
    4.000000 <resEpsilon4>
    5.000000 <resEpsilon5>
    ...

where <nK> and <nEpsilon> is the number of data points for k and epsilon, respectively. <resKX> and <resEpsilonX> are the residual at iteration X for k and epsilon.

OPTIONS

<logFile>
    A FreeFOAM log file (i.e. the screen-output created by a FreeFOAM solver)

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 1991-2010 OpenCFD Ltd.

    • Copyright © 2008-2012 Michael Wild.